| Home | Libraries | People | FAQ | More

##### rtree(Range const &)

The constructor.

###### Description

The tree is created using packing algorithm.

###### Synopsis

    template<typename Range>
    rtree(Range const & rng,
          parameters_type const & parameters = parameters_type(),
          indexable_getter const & getter = indexable_getter(),
          value_equal const & equal = value_equal(),
          allocator_type const & allocator = allocator_type())

###### Modifier(s)

    explicit

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`Range const &` | `rng` | The range of Values.
`parameters_type` `const &` | `parameters` | The parameters object.
`indexable_getter` `const &` | `getter` | The function object extracting Indexable from Value.
`value_equal` `const &` | `equal` | The function object comparing Values.
`allocator_type` `const &` | `allocator` | The allocator object.

###### Throws

- If allocator copy constructor throws.
- If Value copy constructor or copy assignment throws.
- If allocation throws or returns invalid value.